Status: Open

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:3.3(master) Regression?: No

Operating System: Debian Buster Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27652

Description

Test already in:

tests/src/python/test_qgsserver_wms_getfeatureinfo.py

with

@unittest.expectedFailure

    # TODO make GetFeatureInfo show what's in the display expression and enable test

    @unittest.expectedFailure

    def testGetFeatureInfoRelationReference(self):

        """Test GetFeatureInfo solves "relation reference" widget "display expression" values""" 

        mypath = self.testdata_path + "test_project_values.qgz" 

        self.wms_request_compare('GetFeatureInfo',

                                 '&layers=layer2&styles=&' +

                                 'VERSION=1.3.0&' +

                                 'info_format=text%2Fxml&' +

                                 'width=926&height=787&srs=EPSG%3A4326' +

                                 '&bbox=912217,5605059,914099,5606652' +

                                 '&CRS=EPSG:3857' +

                                 '&FEATURE_COUNT=10' +

                                 '&WITH_GEOMETRY=True' +

                                 '&QUERY_LAYERS=layer2&I=487&J=308',

                                 'wms_getfeatureinfo-values2-text-xml',

                                 'test_project_values.qgz')

The server should have resolved the values and output:

...

<GetFeatureInfoResponse>

 <Layer name="layer2">

  <Feature id="1">

   <Attribute value="value PE 1000 PN6" name="id"/>

...
but it outputs instead:

...

<GetFeatureInfoResponse>

 <Layer name="layer2">

  <Feature id="1">

   <Attribute value="1" name="id"/>

...

History

#1 - 2019-01-25 09:02 AM - Alessandro Pasotti

- Status changed from Open to Feedback

Can you please check current master?

#2 - 2019-01-25 12:06 PM - Tudor Bărăscu

- Status changed from Feedback to Open

- File test_project_values.qgs added

Hi Alessandro, yes.. I can replicate..

It seems somehow the qgz is corrupted or something.. again.. (see https://github.com/qgis/QGIS/pull/7867 )

Until I try to fix it fully and maybe get to the bottom of this I've attached the test_project_values.qgs project that you can use and debug. You have the

request in the tests and just need to change ggz to qgs for that specific test. Of course, the project needs to be in the tests/testdata/qgis_server/ dir.

Thanks a lot for you very precious work.

#3 - 2019-02-07 07:51 AM - Tudor Bărăscu

You can replicate now even with the qgz project (getCapabilities not working on it though) so please let me know if there's anything else that I can do.

Thank you.

Files

test_project_values.qgs 28.3 KB 2019-01-25 Tudor Bărăscu
https://github.com/qgis/QGIS/pull/7867

